Skip to Content
Chameleon Docs

Read card

A saved card drawn as the glasses draw it, with its elements and the box around each. The card is drawn at the page's size, one pixel a display pixel, from the assets as they were last built and the uploaded pictures: a stale asset as it was built, and a picture with no asset or no file as the card builder's dashed outline. A text is drawn in the lines the card builder breaks it into.

POST
/api/manuals/{id}/cards/{cardId}/read

A saved card drawn as the glasses draw it, with its elements and the box around each.

The card is drawn at the page's size, one pixel a display pixel, from the assets as they were last built and the uploaded pictures: a stale asset as it was built, and a picture with no asset or no file as the card builder's dashed outline. A text is drawn in the lines the card builder breaks it into.

Authorization

headerx-api-key<token>

Scope: manuals:read

Path Parameters

id*string
Match^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
cardId*string
Match^[A-Za-z0-9_-]{1,64}$

Request Body

application/json
  1. body
areElementsOutlined?boolean

Response Body

The picture's link and size, and the card's elements

application/json
  1. response
requestId*string
Match^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
cardId*string
picture*
elements*array<||>
Example Request
curl -X POST 'https://www.chameleonlabs.org/api/manuals/string/cards/string/read' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "requestId": "string",  "cardId": "string",  "picture": {    "url": "http://example.com",    "expiresAt": "2019-08-24T14:15:22Z",    "path": "string",    "width": 0,    "height": 0  },  "elements": [    {      "id": "string",      "x": -10000,      "y": -10000,      "width": 1,      "height": 1,      "rotation": 0,      "opacity": 0,      "link": "string",      "type": "picture",      "asset": "string",      "bounds": {        "x": 0,        "y": 0,        "width": 0,        "height": 0      }    }  ]}